#include <stdio.h>


/* This is the hashing function specified by the ELF ABI.  */
static inline unsigned
_dl_elf_hash (const char *name)
{
  unsigned long int hash = 0;
  while (*name != '\0')
    {
      unsigned long int hi;
      hash = (hash << 4) + *name++;
      hi = hash & 0xf0000000;
      if (hi != 0)
	{
	  hash ^= hi >> 24;
	  /* The ELF ABI says `hash &= ~hi', but this is equivalent
	     in this case and on some machines one insn instead of two.  */
	  hash ^= hi;
	}
    }
  return hash;
}

char * samplenames[] =
{
  "_DYNAMIC",
  "_GLOBAL_OFFSET_TABLE_",
  "_IO_adjust_column",
  "_IO_cleanup",
  "_IO_cleanup_registration_needed",
  "_IO_close",
  "_IO_default_doallocate",
  "_IO_default_finish",
  "_IO_default_pbackfail",
  "_IO_default_read",
  "_IO_default_seek",
  "_IO_default_seekoff",
  "_IO_default_seekpos",
  "_IO_default_setbuf",
  "_IO_default_stat",
  "_IO_default_sync",
  "_IO_default_uflow",
  "_IO_default_underflow",
  "_IO_default_write",
  "_IO_default_xsgetn",
  "_IO_default_xsputn",
  "_IO_do_write",
  "_IO_doallocbuf",
  "_IO_fclose",
  "_IO_fdopen",
  "_IO_fflush",
  "_IO_fgetpos",
  "_IO_fgets",
  "_IO_file_attach",
  "_IO_file_close",
  "_IO_file_close_it",
  "_IO_file_doallocate",
  "_IO_file_finish",
  "_IO_file_fopen",
  "_IO_file_init",
  "_IO_file_jumps",
  "_IO_file_overflow",
  "_IO_file_read",
  "_IO_file_seek",
  "_IO_file_seekoff",
  "_IO_file_setbuf",
  "_IO_file_stat",
  "_IO_file_sync",
  "_IO_file_underflow",
  "_IO_file_write",
  "_IO_file_xsputn",
  "_IO_flush_all",
  "_IO_flush_all_linebuffered",
  "_IO_fopen",
  "_IO_fprintf",
  "_IO_fputs",
  "_IO_fread",
  "_IO_free_backup_area",
  "_IO_fsetpos",
  "_IO_fstat",
  "_IO_ftell",
  "_IO_fwrite",
  "_IO_get_column",
  "_IO_getdelim",
  "_IO_getline",
  "_IO_gets",
  "_IO_init",
  "_IO_init_marker",
  "_IO_least_marker",
  "_IO_link_in",
  "_IO_list_all",
  "_IO_lseek",
  "_IO_marker_delta",
  "_IO_marker_difference",
  "_IO_nobackup_pbackfail",
  "_IO_padn",
  "_IO_popen",
  "_IO_proc_close",
  "_IO_proc_jumps",
  "_IO_proc_open",
  "_IO_puts",
  "_IO_read",
  "_IO_remove_marker",
  "_IO_seekmark",
  "_IO_seekoff",
  "_IO_seekpos",
  "_IO_set_column",
  "_IO_setb",
  "_IO_setbuffer",
  "_IO_setvbuf",
  "_IO_sgetn",
  "_IO_sprintf",
  "_IO_sputbackc",
  "_IO_stderr_",
  "_IO_stdin_",
  "_IO_stdout_",
  "_IO_str_count",
  "_IO_str_finish",
  "_IO_str_init_readonly",
  "_IO_str_init_static",
  "_IO_str_jumps",
  "_IO_str_overflow",
  "_IO_str_pbackfail",
  "_IO_str_seekoff",
  "_IO_str_underflow",
  "_IO_sungetc",
  "_IO_switch_to_backup_area",
  "_IO_switch_to_get_mode",
  "_IO_switch_to_main_get_area",
  "_IO_sync",
  "_IO_un_link",
  "_IO_unbuffer_all",
  "_IO_ungetc",
  "_IO_unsave_markers",
  "_IO_vasprintf",
  "_IO_vdprintf",
  "_IO_vfprintf",
  "_IO_vfscanf",
  "_IO_vscanf",
  "_IO_vsnprintf",
  "_IO_vsprintf",
  "_IO_vsscanf",
  "_IO_write",
  "_PROCEDURE_LINKAGE_TABLE_",
  "__accept",
  "__access",
  "__adjtime",
  "__adjtimex",
  "__after_morecore_hook",
  "__argz_add",
  "__argz_append",
  "__argz_count",
  "__argz_create",
  "__argz_create_sep",
  "__argz_extract",
  "__argz_insert",
  "__argz_next",
  "__argz_stringify",
  "__asctime_r",
  "__assert_fail",
  "__assert_perror_fail",
  "__assert_program_name",
  "__bb_exit_func",
  "__bb_head",
  "__bb_init_func",
  "__bind",
  "__bindtextdomain",
  "__brk",
  "__bss_start",
  "__chdir",
  "__check_rhosts_file",
  "__chmod",
  "__chown",
  "__clone",
  "__close",
  "__closedir",
  "__clz_tab",
  "__collate_element_hash",
  "__collate_element_strings",
  "__collate_element_values",
  "__collate_extra",
  "__collate_symbol_classes",
  "__collate_symbol_hash",
  "__collate_symbol_strings",
  "__collate_table",
  "__connect",
  "__copysign",
  "__copysignf",
  "__ctype32_b",
  "__ctype_b",
  "__ctype_get_codeset_name",
  "__ctype_get_mb_cur_max",
  "__ctype_names",
  "__ctype_tolower",
  "__ctype_toupper",
  "__ctype_width",
  "__curbrk",
  "start",
  "__daylight",
  "__dcgettext",
  "__default_morecore",
  "__dgettext",
  "__divl",
  "__divlu",
  "__divq",
  "__divqu",
  "__drand48_iterate",
  "__dup",
  "__dup2",
  "__endutent_r",
  "__environ",
  "__execve",
  "__exit_funcs",
  "__fchmod",
  "__fchown",
  "__fcntl",
  "__fgetgrent_r",
  "__fgetpwent_r",
  "__fgetspent_r",
  "__finite",
  "__finitef",
  "__flock",
  "__fork",
  "__fpathconf",
  "__fpu_control",
  "__free_hook",
  "__frexp",
  "__frexpf",
  "__fstatfs",
  "__fxstat",
  "__getcwd",
  "__getdelim",
  "__getdents",
  "__getdirentries",
  "__getdtablesize",
  "__getegid",
  "__geteuid",
  "__getgid",
  "__getgrent_r",
  "__getgrgid_r",
  "__getgrnam_r",
  "__getgroups",
  "__gethostbyaddr_r",
  "__gethostbyname2_r",
  "__gethostbyname_r",
  "__gethostent_r",
  "__gethostname",
  "__getitimer",
  "__getline",
  "__getnetbyaddr_r",
  "__getnetbyname_r",
  "__getnetent_r",
  "__getpagesize",
  "__getpeername",
  "__getpgid",
  "__getpid",
  "__getppid",
  "__getpriority",
  "__getprotobyname_r",
  "__getprotobynumber_r",
  "__getprotoent_r",
  "__getpwent_r",
  "__getpwnam_r",
  "__getpwuid_r",
  "__getrlimit",
  "__getrpcbyname_r",
  "__getrpcbynumber_r",
  "__getrpcent_r",
  "__getrusage",
  "__getservbyname_r",
  "__getservbyport_r",
  "__getservent_r",
  "__getsockname",
  "__getsockopt",
  "__getspent_r",
  "__getspnam_r",
  "__gettext",
  "__gettimeofday",
  "__getuid",
  "__getutent_r",
  "__getutid_r",
  "__getutline_r",
  "__gmtime_r",
  "__group_member",
  "__guess_grouping",
  "__htonl",
  "__htons",
  "__ieee_get_fp_control",
  "__ieee_set_fp_control",
  "__initstate",
  "__initstate_r",
  "__ioctl",
  "__isatty",
  "__isinf",
  "__isinff",
  "__isinfl",
  "__isnan",
  "__isnanf",
  "__isnanl",
  "__ivaliduser",
  "__kill",
  "__lckpwdf",
  "__ldexp",
  "__ldexpf",
  "__libc_argc",
  "__libc_argv",
  "__libc_drand48_data",
  "enable_secure",
  "__libc_fatal",
  "__libc_global_ctors",
  "__libc_init",
  "__libc_init_first",
  "__libc_main",
  "__libc_multiple_libcs",
  "__libc_print_version",
  "__libc_release",
  "__libc_version",
  "__link",
  "__listen",
  "__localtime_r",
  "__longjmp",
  "__lseek",
  "__lxstat",
  "__malloc_extra_blocks",
  "__malloc_hook",
  "__malloc_initialize",
  "__malloc_initialize_hook",
  "__malloc_initialized",
  "__mbrlen",
  "__mbrtowc",
  "__mbsnrtowcs",
  "__mbsrtowcs",
  "__mcount",
  "__memalign_hook",
  "__memccpy",
  "__mkdir",
  "__mktime_internal",
  "__mmap",
  "__modf",
  "__modff",
  "__mon_yday",
  "__morecore",
  "__mount",
  "__mpn_add",
  "__mpn_add_1",
  "__mpn_add_n",
  "__mpn_addmul_1",
  "__mpn_cmp",
  "__mpn_construct_double",
  "__mpn_construct_float",
  "__mpn_construct_long_double",
  "__mpn_divmod_1",
  "__mpn_divrem",
  "__mpn_extract_double",
  "__mpn_extract_long_double",
  "__mpn_impn_mul_n",
  "__mpn_impn_mul_n_basecase",
  "__mpn_impn_sqr_n",
  "__mpn_impn_sqr_n_basecase",
  "__mpn_lshift",
  "__mpn_mod_1",
  "__mpn_mul",
  "__mpn_mul_1",
  "__mpn_mul_n",
  "__mpn_rshift",
  "__mpn_sub",
  "__mpn_sub_1",
  "__mpn_sub_n",
  "__mpn_submul_1",
  "__mprotect",
  "__msgctl",
  "__msgget",
  "__msgrcv",
  "__msgsnd",
  "__munmap",
  "__new_exitfn",
  "__no_r_state",
  "__nss_configure_lookup",
  "__nss_database_lookup",
  "__nss_ethers_database",
  "__nss_ethers_lookup",
  "__nss_group_database",
  "__nss_group_lookup",
  "__nss_hosts_database",
  "__nss_hosts_lookup",
  "__nss_lookup",
  "__nss_networks_database",
  "__nss_networks_lookup",
  "__nss_next",
  "__nss_passwd_database",
  "__nss_passwd_lookup",
  "__nss_protocols_database",
  "__nss_protocols_lookup",
  "__nss_rpc_database",
  "__nss_rpc_lookup",
  "__nss_services_database",
  "__nss_services_lookup",
  "__nss_shadow_database",
  "__nss_shadow_lookup",
  "__ntohl",
  "__ntohs",
  "__offtime",
  "__open",
  "__open_catalog",
  "__opendir",
  "__osf_sigprocmask",
  "__overflow",
  "__pathconf",
  "__personality",
  "__pipe",
  "__printf_arginfo_table",
  "__printf_fp",
  "__printf_function_table",
  "__profile_frequency",
  "__progname",
  "__progname_full",
  "__pselect",
  "__ptrace",
  "__pututline_r",
  "__random",
  "__random_r",
  "__rcmd_errstr",
  "__read",
  "__readdir",
  "__readlink",
  "__realloc_hook",
  "__recv",
  "__recvfrom",
  "__recvmsg",
  "__register_printf_function",
  "__reml",
  "__remlu",
  "__remq",
  "__remqu",
  "__res_randomid",
  "__rmdir",
  "__sbrk",
  "__scalbn",
  "__scalbnf",
  "__sched_get_priority_max",
  "__sched_get_priority_min",
  "__sched_getparam",
  "__sched_getscheduler",
  "__sched_rr_get_interval",
  "__sched_setparam",
  "__sched_setscheduler",
  "__sched_yield",
  "__select",
  "__semctl",
  "__semget",
  "__semop",
  "__send",
  "__sendmsg",
  "__sendto",
  "__setfpucw",
  "__setgid",
  "__sethae",
  "__setitimer",
  "__setpgid",
  "__setregid",
  "__setreuid",
  "__setsid",
  "__setsockopt",
  "__setstate",
  "__setstate_r",
  "__settimeofday",
  "__setuid",
  "__setutent_r",
  "__sgetspent_r",
  "__shmat",
  "__shmctl",
  "__shmdt",
  "__shmget",
  "__shutdown",
  "__sigaction",
  "__sigaddset",
  "__sigblock",
  "__sigdelset",
  "__sigismember",
  "__sigjmp_save",
  "__sigpause",
  "__sigprocmask",
  "__sigreturn",
  "__sigsetjmp",
  "__sigsetjmp_aux",
  "__sigsetmask",
  "__sigvec",
  "__snprintf",
  "__socketpair",
  "__srandom",
  "__srandom_r",
  "__libc_atexit",
  "__start___libc_subinit",
  "__statfs",
  "__stdio_gen_tempname",
  "__libc_atexit",
  "__stop___libc_subinit",
  "__stpcpy",
  "__stpncpy",
  "__strcasecmp",
  "__strdup",
  "__strncasecmp",
  "__strndup",
  "__strtod_internal",
  "__strtof_internal",
  "__strtol_internal",
  "__strtold_internal",
  "__strtoq_internal",
  "__strtoul_internal",
  "__strtouq_internal",
  "__symlink",
  "__syscall",
  "__syscall__sysctl",
  "__syscall_error",
  "__syscall_fstat",
  "__syscall_getpriority",
  "__syscall_lstat",
  "__syscall_mknod",
  "__syscall_ptrace",
  "__syscall_reboot",
  "__syscall_stat",
  "__sysconf",
  "__tcgetattr",
  "__tdelete",
  "__textdomain",
  "__tfind",
  "__times",
  "__timezone",
  "__tsearch",
  "__ttyname",
  "__ttyname_r",
  "__twalk",
  "__tz_compute",
  "__tzfile_compute",
  "__tzfile_default",
  "__tzfile_read",
  "__tzname",
  "__tzname_cur_max",
  "__tzname_max",
  "__tzset",
  "__tzset_run",
  "__udiv_qrnnd",
  "__uflow",
  "__ulckpwdf",
  "__ulimit",
  "__umask",
  "__umount",
  "__underflow",
  "__unlink",
  "__use_tzfile",
  "__ustat",
  "__utimes",
  "__utmp_data",
  "__utmpname",
  "__vfork",
  "__vfscanf",
  "__vsnprintf",
  "__vsscanf",
  "__wait",
  "__wait3",
  "__wait4",
  "__waitpid",
  "__wcpcpy",
  "__wcpncpy",
  "__wcrtomb",
  "__wcsnrtombs",
  "__wcsrtombs",
  "__wcstod_internal",
  "__wcstof_internal",
  "__wcstol_internal",
  "__wcstold_internal",
  "__wcstoq_internal",
  "__wcstoul_internal",
  "__wcstouq_internal",
  "__write",
  "__xmknod",
  "__xstat",
  "_aligned_blocks",
  "_authenticate",
  "_bus_base",
  "_bus_base_sparse",
  "_bytes_free",
  "_bytes_used",
  "_chunks_free",
  "_chunks_used",
  "_cleanup",
  "catch_error",
  "_dl_close",
  "debug_initialize",
  "debug_state",
  "default_scope",
  "global_scope",
  "_dl_global_scope_alloc",
  "global_scope_end",
  "init_next",
  "lookup_symbol",
  "map_object",
  "map_object_deps",
  "object_relocation_scope",
  "_dl_open",
  "relocate_object",
  "signal_error",
  "start",
  "starting_up",
  "_dl_symbol_value",
  "_edata",
  "_end",
  "_environ",
  "_etext",
  "_exit",
  "_fpioconst_pow10",
  "_fraghead",
  "_free_internal",
  "_fxstat",
  "_getopt_internal",
  "_gmonparam",
  "_hae_shift",
  "_heapbase",
  "_heapindex",
  "_heapinfo",
  "_heaplimit",
  "_inb",
  "_init",
  "_inl",
  "_inw",
  "_ioperm",
  "_iopl",
  "_itoa",
  "_itoa_lower_digits",
  "_itoa_upper_digits",
  "_libc_intl_domainname",
  "_longjmp",
  "_longjmp_unwind",
  "_lxstat",
  "_malloc_internal",
  "_mcleanup",
  "_mcount",
  "_mtrace_file",
  "_mtrace_line",
  "_nl_C",
  "_nl_C_LC_COLLATE",
  "_nl_C_LC_COLLATE_symbol_classes",
  "_nl_C_LC_COLLATE_symbol_hash",
  "_nl_C_LC_COLLATE_symbol_strings",
  "_nl_C_LC_CTYPE",
  "_nl_C_LC_CTYPE_class",
  "_nl_C_LC_CTYPE_class32",
  "_nl_C_LC_CTYPE_names",
  "_nl_C_LC_CTYPE_tolower",
  "_nl_C_LC_CTYPE_toupper",
  "_nl_C_LC_CTYPE_width",
  "_nl_C_LC_MESSAGES",
  "_nl_C_LC_MONETARY",
  "_nl_C_LC_NUMERIC",
  "_nl_C_LC_TIME",
  "_nl_C_name",
  "_nl_category_name_sizes",
  "_nl_category_names",
  "_nl_current_LC_COLLATE",
  "_nl_current_LC_CTYPE",
  "_nl_current_LC_MESSAGES",
  "_nl_current_LC_MONETARY",
  "_nl_current_LC_NUMERIC",
  "_nl_current_LC_TIME",
  "_nl_current_default_domain",
  "_nl_default_default_domain",
  "_nl_default_dirname",
  "domain_bindings",
  "_nl_expand_alias",
  "_nl_explode_name",
  "_nl_find_domain",
  "_nl_find_locale",
  "_nl_free_locale",
  "_nl_load_domain",
  "_nl_load_locale",
  "_nl_make_l10nflist",
  "msg_cat_cntr",
  "_nl_normalize_codeset",
  "_nl_postload_collate",
  "_nl_postload_ctype",
  "_nss_files_parse_grent",
  "_nss_files_parse_pwent",
  "_nss_files_parse_spent",
  "_null_auth",
  "_obstack",
  "_obstack_allocated_p",
  "_obstack_begin",
  "_obstack_begin_1",
  "_obstack_free",
  "_obstack_newchunk",
  "_outb",
  "_outl",
  "_outw",
  "_quicksort",
  "debug",
  "_realloc_internal",
  "_res",
  "_rpc_dtablesize",
  "_seterr_reply",
  "_sethae",
  "_setjmp",
  "_sigintr",
  "_strerror_internal",
  "_svcauth_null",
  "_svcauth_short",
  "_svcauth_unix",
  "_sys_errlist",
  "_sys_nerr",
  "_sys_siglist",
  "_tmbuf",
  "_tolower",
  "_toupper",
  "_ufc_dofinalperm",
  "_ufc_doit",
  "_ufc_keytab",
  "_ufc_sb0",
  "_ufc_sb1",
  "_ufc_sb2",
  "_ufc_sb3",
  "_wordcopy_bwd_aligned",
  "_wordcopy_bwd_dest_aligned",
  "_wordcopy_fwd_aligned",
  "_wordcopy_fwd_dest_aligned",
  "_xmknod",
  "_xstat",
  "a64l",
  "abort",
  "abs",
  "accept",
  "access",
  "acct",
  "addmntent",
  "adjtime",
  "alarm",
  "alphasort",
  "argz_add",
  "argz_append",
  "argz_count",
  "argz_create",
  "argz_create_sep",
  "argz_delete",
  "argz_extract",
  "argz_insert",
  "argz_next",
  "argz_stringify",
  "asctime",
  "asctime_r",
  "asprintf",
  "atexit",
  "atof",
  "atoi",
  "atol",
  "authnone_create",
  "authunix_create",
  "authunix_create_default",
  "basename",
  "bcmp",
  "bcopy",
  "bdflush",
  "bind",
  "bindresvport",
  "bindtextdomain",
  "brk",
  "bsearch",
  "btowc",
  "bus_base",
  "bus_base_sparse",
  "bzero",
  "calloc",
  "callrpc",
  "canonicalize_file_name",
  "catclose",
  "catgets",
  "catopen",
  "cfgetispeed",
  "cfgetospeed",
  "cfmakeraw",
  "cfree",
  "cfsetispeed",
  "cfsetospeed",
  "cfsetspeed",
  "chdir",
  "chflags",
  "chmod",
  "chown",
  "chroot",
  "clearerr",
  "clnt_broadcast",
  "clnt_create",
  "clnt_pcreateerror",
  "clnt_perrno",
  "clnt_perror",
  "clnt_spcreateerror",
  "clnt_sperrno",
  "clnt_sperror",
  "clntraw_create",
  "clnttcp_create",
  "clntudp_bufcreate",
  "clntudp_create",
  "clock",
  "clone",
  "close",
  "closedir",
  "closelog",
  "confstr",
  "connect",
  "copysign",
  "copysignf",
  "creat",
  "create_module",
  "crypt",
  "crypt16",
  "ctermid",
  "ctime",
  "ctime_r",
  "cuserid",
  "daemon",
  "daylight",
  "dcgettext",
  "delete_module",
  "dgettext",
  "difftime",
  "dirfd",
  "div",
  "dprintf",
  "drand48",
  "drand48_r",
  "dup",
  "dup2",
  "dysize",
  "ecvt",
  "ecvt_r",
  "encrypt",
  "endfsent",
  "endgrent",
  "endhostent",
  "endmntent",
  "endnetent",
  "endprotoent",
  "endpwent",
  "endrpcent",
  "endservent",
  "endspent",
  "endttyent",
  "endusershell",
  "endutent",
  "endutent_r",
  "environ",
  "envz_add",
  "envz_entry",
  "envz_get",
  "envz_merge",
  "envz_remove",
  "envz_strip",
  "erand48",
  "erand48_r",
  "err",
  "errno",
  "error",
  "error_at_line",
  "error_message_count",
  "error_one_per_line",
  "error_print_progname",
  "errx",
  "etext",
  "ether_aton",
  "ether_aton_r",
  "ether_hostton",
  "ether_line",
  "ether_ntoa",
  "ether_ntoa_r",
  "ether_ntohost",
  "euidaccess",
  "execl",
  "execle",
  "execlp",
  "execv",
  "execve",
  "execvp",
  "exit",
  " fabsl",
  "fchdir",
  "fchflags",
  "fchmod",
  "fchown",
  "fclose",
  "fcntl",
  "fcrypt",
  "fcvt",
  "fcvt_r",
  "fdatasync",
  "fdopen",
  "feof",
  "ferror",
  "fexecve",
  "fflush",
  "ffs",
  "fgetc",
  "fgetgrent",
  "fgetgrent_r",
  "fgetpos",
  "fgetpwent",
  "fgetpwent_r",
  "fgets",
  "fgetspent",
  "fgetspent_r",
  "fileno",
  "finite",
  "finitef",
  "flock",
  " floorl",
  "fnmatch",
  "fopen",
  "fopencookie",
  "fork",
  "fpathconf",
  "fprintf",
  "fputc",
  "fputs",
  "fread",
  "free",
  "freopen",
  "frexp",
  "frexpf",
  "fscanf",
  "fseek",
  "fsetpos",
  "fstatfs",
  "fsync",
  "ftell",
  "ftime",
  "ftok",
  "ftruncate",
  "fts_children",
  "fts_close",
  "fts_open",
  "fts_read",
  "fts_set",
  "ftw",
  "fwrite",
  "gcvt",
  "get_current_dir_name",
  "get_kernel_syms",
  "get_myaddress",
  "getc",
  "getchar",
  "getcwd",
  "getdelim",
  "getdirentries",
  "getdomainname",
  "getdtablesize",
  "getegid",
  "getenv",
  "geteuid",
  "getfsent",
  "getfsfile",
  "getfsspec",
  "getgid",
  "getgrent",
  "getgrent_r",
  "getgrgid",
  "getgrgid_r",
  "getgrnam",
  "getgrnam_r",
  "getgroups",
  "gethostbyaddr",
  "gethostbyaddr_r",
  "gethostbyname",
  "gethostbyname2",
  "gethostbyname2_r",
  "gethostbyname_r",
  "gethostent",
  "gethostent_r",
  "gethostid",
  "gethostname",
  "getitimer",
  "getline",
  "getlogin",
  "getlogin_r",
  "getmntent",
  "getnetbyaddr",
  "getnetbyaddr_r",
  "getnetbyname",
  "getnetbyname_r",
  "getnetent",
  "getnetent_r",
  "getopt",
  "getopt_long",
  "getopt_long_only",
  "getpagesize",
  "getpass",
  "getpeername",
  "getpgid",
  "getpgrp",
  "getpid",
  "getppid",
  "getpriority",
  "getprotobyname",
  "getprotobyname_r",
  "getprotobynumber",
  "getprotobynumber_r",
  "getprotoent",
  "getprotoent_r",
  "getpw",
  "getpwent",
  "getpwent_r",
  "getpwnam",
  "getpwnam_r",
  "getpwuid",
  "getpwuid_r",
  "getrlimit",
  "getrpcbyname",
  "getrpcbyname_r",
  "getrpcbynumber",
  "getrpcbynumber_r",
  "getrpcent",
  "getrpcent_r",
  "getrpcport",
  "getrusage",
  "gets",
  "getservbyname",
  "getservbyname_r",
  "getservbyport",
  "getservbyport_r",
  "getservent",
  "getservent_r",
  "getsid",
  "getsockname",
  "getsockopt",
  "getspent",
  "getspent_r",
  "getspnam",
  "getspnam_r",
  "getsubopt",
  "gettext",
  "gettimeofday",
  "getttyent",
  "getttynam",
  "getuid",
  "getusershell",
  "getutent",
  "getutent_r",
  "getutid",
  "getutid_r",
  "getutline",
  "getutline_r",
  "getw",
  "getwd",
  "glob",
  "globfree",
  "gmtime",
  "gmtime_r",
  "group_member",
  "gsignal",
  "gtty",
  "h_errlist",
  "h_errno",
  "h_nerr",
  "hae_shift",
  "hasmntopt",
  "hcreate",
  "hcreate_r",
  "hdestroy",
  "hdestroy_r",
  "herror",
  "hsearch",
  "hsearch_r",
  "hstrerror",
  "htonl",
  "htons",
  "ieee_get_fp_control",
  "ieee_set_fp_control",
  "inb",
  "index",
  "inet_addr",
  "inet_aton",
  "inet_lnaof",
  "inet_makeaddr",
  "inet_netof",
  "inet_network",
  "inet_nsap_addr",
  "inet_nsap_ntoa",
  "inet_ntoa",
  "inet_ntop",
  "inet_pton",
  "init_des",
  "init_module",
  "initgroups",
  "initstate",
  "initstate_r",
  "inl",
  "insque",
  "inw",
  "ioctl",
  "ioperm",
  "iopl",
  "ioswtch",
  "iosys_t",
  "iruserok",
  "isalnum",
  "isalpha",
  "isascii",
  "isatty",
  "isblank",
  "iscntrl",
  "isdigit",
  "isfdtype",
  "isgraph",
  "isinf",
  "isinff",
  "isinfl",
  "islower",
  "isnan",
  "isnanf",
  "isnanl",
  "isprint",
  "ispunct",
  "isspace",
  "isupper",
  "iswalnum",
  "iswalpha",
  "iswcntrl",
  "iswctype",
  "iswdigit",
  "iswgraph",
  "iswlower",
  "iswprint",
  "iswpunct",
  "iswspace",
  "iswupper",
  "iswxdigit",
  "isxdigit",
  "jrand48",
  "jrand48_r",
  "kill",
  "killpg",
  "klogctl",
  "l64a",
  "labs",
  "lckpwdf",
  "lcong48",
  "lcong48_r",
  "ldexp",
  "ldexpf",
  "ldiv",
  "lfind",
  "link",
  "listen",
  "llabs",
  "lldiv",
  "llseek",
  "localeconv",
  "localtime",
  "localtime_r",
  "lockf",
  " log10l",
  "longjmp",
  "lrand48",
  "lrand48_r",
  "lsearch",
  "lseek",
  "madvise",
  "malloc",
  "malloc_find_object_address",
  "malloc_usable_size",
  "malloc_walk",
  "mallwatch",
  "mblen",
  "mbrlen",
  "mbrtowc",
  "mbsinit",
  "mbsnrtowcs",
  "mbsrtowcs",
  "mbstowcs",
  "mbtowc",
  "mcheck",
  "mcount",
  "memalign",
  "memccpy",
  "memchr",
  "memcmp",
  "memcpy",
  "memfrob",
  "memmem",
  "memmove",
  "memory_warnings",
  "memset",
  "mkdir",
  "mkfifo",
  "mkstemp",
  "mktemp",
  "mktime",
  "mmap",
  "modf",
  "modff",
  "moncontrol",
  "monstartup",
  "mount",
  "mprobe",
  "mprotect",
  "mrand48",
  "mrand48_r",
  "msgctl",
  "msgget",
  "msgrcv",
  "msgsnd",
  "mstats",
  "msync",
  "mtrace",
  "munmap",
  "muntrace",
  "nanosleep",
  "nice",
  "nl_langinfo",
  "nlist",
  "nrand48",
  "nrand48_r",
  "ntohl",
  "ntohs",
  "obstack_free",
  "on_exit",
  "open",
  "open_memstream",
  "opendir",
  "openlog",
  "optarg",
  "opterr",
  "optind",
  "optopt",
  "outb",
  "outl",
  "outw",
  "parse_printf_format",
  "pathconf",
  "pause",
  "pclose",
  "perror",
  "personality",
  "pipe",
  "pmap_getmaps",
  "pmap_getport",
  "pmap_rmtcall",
  "pmap_set",
  "pmap_unset",
  "poll",
  "popen",
  "printf",
  "profil",
  "program_invocation_name",
  "program_invocation_short_name",
  "pselect",
  "psignal",
  "ptrace",
  "putc",
  "putchar",
  "putenv",
  "putpwent",
  "puts",
  "putspent",
  "pututline",
  "pututline_r",
  "putw",
  "qecvt",
  "qecvt_r",
  "qfcvt",
  "qfcvt_r",
  "qgcvt",
  "qsort",
  "r_alloc",
  "r_alloc_free",
  "r_alloc_freeze",
  "r_alloc_sbrk",
  "r_alloc_size_in_use",
  "r_alloc_thaw",
  "r_re_alloc",
  "raise",
  "rand",
  "random",
  "random_r",
  "rcmd",
  "re_comp",
  "re_compile_fastmap",
  "re_compile_pattern",
  "re_exec",
  "re_match",
  "re_match_2",
  "re_max_failures",
  "re_search",
  "re_search_2",
  "re_set_registers",
  "re_set_syntax",
  "re_syntax_options",
  "read",
  "readdir",
  "readlink",
  "readv",
  "realloc",
  "realpath",
  "reboot",
  "recv",
  "recvfrom",
  "recvmsg",
  "regcomp",
  "regerror",
  "regexec",
  "regfree",
  "register_printf_function",
  "registerrpc",
  "remove",
  "remque",
  "rename",
  "res_init",
  "revoke",
  "rewind",
  "rewinddir",
  "rexec",
  "rexecoptions",
  "rindex",
  "rmdir",
  "rpc_createerr",
  "rpmatch",
  "rresvport",
  "ruserok",
  "ruserpass",
  "sbrk",
  "scalbn",
  "scalbnf",
  "scandir",
  "scanf",
  "sched_get_priority_max",
  "sched_get_priority_min",
  "sched_getparam",
  "sched_getscheduler",
  "sched_rr_get_interval",
  "sched_setparam",
  "sched_setscheduler",
  "sched_yield",
  "seed48",
  "seed48_r",
  "seekdir",
  "select",
  "semctl",
  "semget",
  "semop",
  "send",
  "sendmsg",
  "sendto",
  "setbuf",
  "setbuffer",
  "setdomainname",
  "setegid",
  "setenv",
  "seteuid",
  "setfsent",
  "setfsgid",
  "setfsuid",
  "setgid",
  "setgrent",
  "setgroups",
  "sethae",
  "sethostent",
  "sethostid",
  "sethostname",
  "setitimer",
  "setjmp",
  "setkey",
  "setlinebuf",
  "setlocale",
  "setlogin",
  "setlogmask",
  "setmntent",
  "setnetent",
  "setpgid",
  "setpgrp",
  "setpriority",
  "setprotoent",
  "setpwent",
  "setregid",
  "setreuid",
  "setrlimit",
  "setrpcent",
  "setservent",
  "setsid",
  "setsockopt",
  "setspent",
  "setstate",
  "setstate_r",
  "settimeofday",
  "setttyent",
  "setuid",
  "setusershell",
  "setutent",
  "setutent_r",
  "setvbuf",
  "sgetspent",
  "sgetspent_r",
  "shmat",
  "shmctl",
  "shmdt",
  "shmget",
  "shutdown",
  "sigaction",
  "sigaddset",
  "sigaltstack",
  "sigblock",
  "sigdelset",
  "sigemptyset",
  "sigfillset",
  "siggetmask",
  "siginterrupt",
  "sigismember",
  "siglongjmp",
  "signal",
  "sigpause",
  "sigpending",
  "sigprocmask",
  "sigreturn",
  "sigsetmask",
  "sigstack",
  "sigsuspend",
  "sigvec",
  "sleep",
  "snprintf",
  "socket",
  "socketpair",
  "sprintf",
  "srand",
  "srand48",
  "srand48_r",
  "srand_r",
  "srandom",
  "srandom_r",
  "sscanf",
  "ssignal",
  "sstk",
  "statfs",
  "stderr",
  "stdin",
  "stdout",
  "stime",
  "stpcpy",
  "stpncpy",
  "strcasecmp",
  "strcat",
  "strchr",
  "strcmp",
  "strcoll",
  "strcpy",
  "strcspn",
  "strdup",
  "strerror",
  "strerror_r",
  "strfmon",
  "strfry",
  "strftime",
  "strlen",
  "strncasecmp",
  "strncat",
  "strncmp",
  "strncpy",
  "strndup",
  "strnlen",
  "strpbrk",
  "strptime",
  "strrchr",
  "strsep",
  "strsignal",
  "strspn",
  "strstr",
  "strtod",
  "strtof",
  "strtok",
  "strtok_r",
  "strtol",
  "strtold",
  "strtoll",
  "strtoq",
  "strtoul",
  "strtoull",
  "strtouq",
  "strxfrm",
  "stty",
  "svc_fdset",
  "svc_getreq",
  "svc_getreqset",
  "svc_register",
  "svc_run",
  "svc_sendreply",
  "svc_unregister",
  "svcerr_auth",
  "svcerr_decode",
  "svcerr_noproc",
  "svcerr_noprog",
  "svcerr_progvers",
  "svcerr_systemerr",
  "svcerr_weakauth",
  "svcfd_create",
  "svcraw_create",
  "svctcp_create",
  "svcudp_bufcreate",
  "svcudp_create",
  "svcudp_enablecache",
  "swab",
  "swapoff",
  "swapon",
  "symlink",
  "sync",
  "sys_errlist",
  "sys_nerr",
  "sys_siglist",
  "syscall",
  "sysconf",
  "sysctl",
  "sysinfo",
  "syslog",
  "system",
  "tcdrain",
  "tcflow",
  "tcflush",
  "tcgetattr",
  "tcgetpgrp",
  "tcsendbreak",
  "tcsetattr",
  "tcsetpgrp",
  "tdelete",
  "telldir",
  "tempnam",
  "textdomain",
  "tfind",
  "time",
  "timegm",
  "timelocal",
  "times",
  "timezone",
  "tmpfile",
  "tmpnam",
  "toascii",
  "tolower",
  "toupper",
  "towctrans",
  "towlower",
  "towupper",
  "tr_break",
  "truncate",
  "tsearch",
  "ttyname",
  "ttyname_r",
  "ttyslot",
  "twalk",
  "tzname",
  "tzset",
  "ualarm",
  "ulckpwdf",
  "ulimit",
  "umask",
  "umount",
  "uname",
  "ungetc",
  "unlink",
  "unsetenv",
  "uselib",
  "usleep",
  "ustat",
  "utime",
  "utimes",
  "utmpname",
  "valloc",
  "vasprintf",
  "vdprintf",
  "verr",
  "verrx",
  "vfork",
  "vfprintf",
  "vfscanf",
  "vhangup",
  "vlimit",
  "vprintf",
  "vscanf",
  "vsnprintf",
  "vsprintf",
  "vsscanf",
  "vsyslog",
  "vtimes",
  "vwarn",
  "vwarnx",
  "wait",
  "wait3",
  "wait4",
  "waitpid",
  "warn",
  "warnx",
  "wcpcpy",
  "wcpncpy",
  "wcrtomb",
  "wcscat",
  "wcschr",
  "wcscmp",
  "wcscoll",
  "wcscpy",
  "wcscspn",
  "wcsdup",
  "wcslen",
  "wcsncat",
  "wcsncmp",
  "wcsncpy",
  "wcsnrtombs",
  "wcspbrk",
  "wcsrchr",
  "wcsrtombs",
  "wcsspn",
  "wcsstr",
  "wcstod",
  "wcstof",
  "wcstok",
  "wcstol",
  "wcstold",
  "wcstombs",
  "wcstoq",
  "wcstoul",
  "wcstouq",
  "wcswidth",
  "wcsxfrm",
  "wctob",
  "wctomb",
  "wctrans",
  "wctype",
  "wcwidth",
  "wmemchr",
  "wmemcmp",
  "wmemcpy",
  "wmemmove",
  "wmemset",
  "write",
  "writev",
  "xdr_accepted_reply",
  "xdr_array",
  "xdr_authunix_parms",
  "xdr_bool",
  "xdr_bytes",
  "xdr_callhdr",
  "xdr_callmsg",
  "xdr_char",
  "xdr_des_block",
  "xdr_double",
  "xdr_enum",
  "xdr_float",
  "xdr_free",
  "xdr_int",
  "xdr_long",
  "xdr_netobj",
  "xdr_opaque",
  "xdr_opaque_auth",
  "xdr_pmap",
  "xdr_pmaplist",
  "xdr_pointer",
  "xdr_reference",
  "xdr_rejected_reply",
  "xdr_replymsg",
  "xdr_rmtcall_args",
  "xdr_rmtcallres",
  "xdr_short",
  "xdr_string",
  "xdr_u_char",
  "xdr_u_int",
  "xdr_u_long",
  "xdr_u_short",
  "xdr_union",
  "xdr_vector",
  "xdr_void",
  "xdr_wrapstring",
  "xdrmem_create",
  "xdrrec_create",
  "xdrrec_endofrecord",
  "xdrrec_eof",
  "xdrrec_skiprecord",
  "xdrstdio_create",
  "xprt_register",
  "xprt_unregister",
  NULL
};

int main()
{
  unsigned long int hash;
  int i, j;

  hash = 0;
  for(j=0; j < 10000; j++)
    {
      i = 0;
      while(samplenames[i] != NULL)
	{
	  hash += (_dl_elf_hash(samplenames[i]) % 521);
	  i++;
 	}
    }

  return hash;
}
